import { PreferencesPage } from "./preferences.po";

describe("ngHyd App − preferences page", () => {
  let page: PreferencesPage;

  beforeEach(() => {
    page = new PreferencesPage();
  });

  it("when preferences are open, user should see a heading title", async () => {
    page.navigateTo();
    const text = await page.getHeader1().getText();
    expect(text.length).toBeGreaterThan(0);
  });

  it("when preferences are open, no labels should be empty", async () => {
    // page.navigateTo();
    const labels = page.getInputLabels();
    await labels.each(async (l) => {
      const label = await l.getText();
      expect(label.length).toBeGreaterThan(0);
    });
  });
});
