export enum DependencyConditionType {
    HasValue, IsVariable, IsDisplayed
}

export class DependencyCondition {
    constructor(private _type: DependencyConditionType) {
    }

    public get type() {
        return this._type;
    }

    public toString(): string {
        return "cond=" + DependencyConditionType[this._type];
    }
}
